%define modname xdebug
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A29_%{modname}.ini
#define subversion RC2
Summary:	Provides functions for function traces and profiling for PHP5
Name:		php-%{modname}
Version:	2.6.1
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD-like
URL:		http://www.xdebug.org/
Source0:	http://www.xdebug.org/files/%{modname}-%{version}%{?subversion}.tgz
Source1:	%{modname}.ini
Requires:	gdb
Requires:	php > 3:7.0.0
BuildRequires:	php-devel >= 3:7.0.0
# due to: - php-xdebug-2.4.0-1.mga6.src:
# - Current or newer revision(s) already exists in core/release for cauldron: 2:2.4.0beta1-4.mga6
Epoch:		3


%description
The Xdebug extension helps you debugging your script by providing a lot of
valuable debug information.  The debug information that Xdebug can provide
includes the following:

* stack and function traces in error messages with:
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides:

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{version}%{?subversion}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" %{inifile}

%build
%serverbuild

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

make
mv modules/*.so .

# make the debugclient
pushd debugclient
#sh ./buildconf
#    %%configure2_5x
#	--with-libedit
#    %%make_build

#  the autostuff is borked...
touch config.h
gcc $CFLAGS %{ldflags} -o debugclient main.c usefulstuff.c -lnsl

popd

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0755 debugclient/debugclient %{buildroot}%{_bindir}/

%files
%doc CREDITS LICENSE README.rst
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_bindir}/debugclient
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Sun Nov 11 2018 mokraemer <mokraemer> 3:2.6.1-2.mga6
+ Revision: 1329567
- recompile
- php7 backport packages
- import php7 packages for backport

* Sun Sep 23 2018 umeabot <umeabot> 3:2.6.1-2.mga7
+ Revision: 1300252
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 mokraemer <mokraemer> 3:2.6.1-1.mga7
+ Revision: 1246926
- new version 2.6.1

* Tue Jan 30 2018 mokraemer <mokraemer> 3:2.6.0-2.mga7
+ Revision: 1198156
- new version 2.6.0

* Thu Jan 25 2018 mokraemer <mokraemer> 3:2.6.0-1.RC2.mga7
+ Revision: 1196847
- new xdebug release

* Fri Dec 29 2017 mokraemer <mokraemer> 3:2.6.0-0.beta1.mga7
+ Revision: 1187210
- new beta versioN

* Sun Dec 03 2017 mokraemer <mokraemer> 3:2.6.0-0.alpha.mga7
+ Revision: 1181077
- new versiom, rebuild for php 7.2

* Mon Nov 13 2017 zezinho <zezinho> 3:2.5.5-1.mga7
+ Revision: 1177224
- new version

* Tue Mar 22 2016 oden <oden> 3:2.4.0-1.mga6
+ Revision: 993996
- bump epoch
- drop the patch, applied upstream
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 pterjan <pterjan> 2:2.4.0beta1-4.mga6
+ Revision: 903707
- Try fixing 32 bit build with php7
+ spuhler <spuhler>
- let's try with single cpu build
- bumped rel to make it build
- update to vers. 2.4.0beta1

* Thu Jun 25 2015 spuhler <spuhler> 2:2.3.3-1.mga6
+ Revision: 843004
- upgrade to vers. 2.3.3

* Wed Oct 15 2014 umeabot <umeabot> 2:2.2.5-3.mga5
+ Revision: 738997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.2.5-2.mga5
+ Revision: 687561
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 spuhler <spuhler> 2:2.2.5-1.mga5
+ Revision: 671186
- upgrade to ver. 2.2.5

* Fri Apr 18 2014 oden <oden> 2:2.2.4-2.mga5
+ Revision: 616598
- rebuilt for php-5.6.0beta1

* Thu Mar 13 2014 spuhler <spuhler> 2:2.2.4-1.mga5
+ Revision: 603178
- re-adding Epoch
- upgrade to ver. 2.2.4

* Fri Jan 24 2014 pterjan <pterjan> 2:2.2.3-5.mga4
+ Revision: 567643
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2:2.2.3-4.mga4
+ Revision: 558473
- rebuilt for php-5.5.7

* Sat Nov 23 2013 oden <oden> 2:2.2.3-3.mga4
+ Revision: 552483
- rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:2.2.3-2.mga4
+ Revision: 527902
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2:2.2.3-1.mga4
+ Revision: 442862
- drop one applied patch
- 2.2.3

* Wed Jan 30 2013 oden <oden> 2:2.2.1-3.mga3
+ Revision: 393367
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:2.2.1-2.mga3
+ Revision: 377631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 2:2.2.1-1.mga3
+ Revision: 274831
- fix build
- upgrade to 2.2.1

* Thu May 03 2012 luigiwalser <luigiwalser> 2:2.1.4-1.mga2
+ Revision: 234679
- 2.1.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2:2.1.3-2.mga2
+ Revision: 223953
- httpd restart is handled by filetriggers now

* Sat Feb 11 2012 spuhler <spuhler> 2:2.1.3-1.mga2
+ Revision: 207453
- upgrade to 2.1.3

* Sat Jan 07 2012 spuhler <spuhler> 2:2.1.2-1.mga2
+ Revision: 193003
- upgrade version to 2.1.2

* Sun Jan 16 2011 spuhler <spuhler> 2:2.1.0-5.mga1
+ Revision: 20298
- removed the if mdkversion lines
- imported package php-xdebug

